package org.jeecg.modules.dynamicStaticAnalysis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.dynamicStaticAnalysis.dto.AnalysisBatchSaveOrUpdateDTO;
import org.jeecg.modules.dynamicStaticAnalysis.dto.CheckBatchDTO;
import org.jeecg.modules.dynamicStaticAnalysis.entity.AnalysisBatch;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.dynamicStaticAnalysis.vo.CheckBatchVO;

/**
 * <p>
 * 动静态分析-分析批次表 服务类
 * </p>
 *
 * @author hkl
 * @since 2023-07-26
 */
public interface IAnalysisBatchService extends IService<AnalysisBatch> {

    Page<CheckBatchVO> getCheckData(Page<CheckBatchVO> pageData, CheckBatchDTO dto);

    void saveRecord(AnalysisBatchSaveOrUpdateDTO dto);

    void updateRecord(AnalysisBatchSaveOrUpdateDTO dto);
}
